Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004077DoomseekerUIpublic2022-12-31 03:082023-01-14 13:24
ReporterWubTheCaptain 
Assigned ToZalewa 
PrioritynormalSeveritytweakReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version1.3.3 
Target Version1.4.0Fixed in Version1.4.0 
Summary0004077: Update notifications in the main window are inconsistent with the rest of the UI
Description0003676:0022582:
Quote from WubTheCaptain
I see it wasn't mentioned here previously, but looking at src/core/gui/mainwindow.ui in Qt Designer, I see the button has a green checkmark for "Download & Install". Four issues with this:
  • Capitalization;
  • The checkmark is inconsistent with another example of a red "Download" button found previously somewhere, or a standard button which looks like a green arrow pointing sideways saying "Update" (in the new IP2C window);
  • This also has a warning triangle next to it, although it's not arguably a warning where such warning triangle is normally used (e.g. "This path doesn't exist.");
  • Ending the "New updates are available:" and "Updates have been downloaded:" to colon punctuation may be inconsistent (e.g. compared to IP2C update dialogs).
Attached Filespng file icon 2020-06-26-051103_maim.png [^] (21,456 bytes) 2022-12-31 03:08

- Relationships
child of 0003676needs testingZalewa There are button/graphic inconsistencies in the UI (0003636

-  Notes
User avatar (0022592)
WubTheCaptain (reporter)
2022-12-31 03:09

I don't know about the last list item of colon punctuation, after seeing the original state of 0004075.
User avatar (0022607)
Zalewa (developer)
2022-12-31 10:46

The "Install Now" and "Install Later" capitalization was indeed wrong, fixed it here:https://bitbucket.org/Doomseeker/doomseeker/commits/96874a682263ce4303b891942252ea6d8bf8c0a1 [^]

Other things mentioned here, including capitalization "Download & Install" or "Restart & Install", are currently as intended. I won't be changing them.
User avatar (0022661)
Zalewa (developer)
2023-01-05 12:29

Beta package for Windows available at the beta auto-update channel and at:
https://devbuilds.drdteam.org/doomseeker/doomseeker-1.3.3~beta-230105-1140_windows.zip [^]

Please verify. This can be verified by running the provided beta build and then switching to the stable auto-update channel, then activating the update from the Help menu and then going through with the update's download.
User avatar (0022695)
Zalewa (developer)
2023-01-14 13:24

Verified this in English, Spanish and Polish. The caps are ok now.

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2022-12-31 03:08 WubTheCaptain New Issue
2022-12-31 03:08 WubTheCaptain File Added: 2020-06-26-051103_maim.png
2022-12-31 03:09 WubTheCaptain Note Added: 0022592
2022-12-31 10:46 Zalewa Note Added: 0022607
2022-12-31 10:46 Zalewa Assigned To => Zalewa
2022-12-31 10:46 Zalewa Status new => needs review
2022-12-31 10:47 Zalewa Target Version => 1.4.0
2022-12-31 11:24 Zalewa Relationship added child of 0003676
2023-01-05 12:29 Zalewa Note Added: 0022661
2023-01-05 12:29 Zalewa Status needs review => needs testing
2023-01-14 13:24 Zalewa Note Added: 0022695
2023-01-14 13:24 Zalewa Status needs testing => resolved
2023-01-14 13:24 Zalewa Fixed in Version => 1.4.0
2023-01-14 13:24 Zalewa Resolution open => fixed






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2023 MantisBT Team
Powered by Mantis Bugtracker